include:
  - project: jarvis-network/base/ci/templates
    file: standard-docker-buildx-pipeline.gitlab-ci.yml
    ref: dev

build:
  stage: build
  only:
  - master
  - schedules
  - merge_requests
  parallel:
    matrix:
      - { TAG: 'full', PKGS: 'coreutils git python3 make g++' }
      - { TAG: 'min-with-bash', PKGS: 'coreutils git bash' }
  script:
    - docker pull $CI_REGISTRY_IMAGE:$TAG || true
    - docker build --pull --build-arg PKGS --no-cache --tag $CI_REGISTRY_IMAGE:$CI_COMMIT_SHA --tag $CI_REGISTRY_IMAGE:$TAG .
    - docker push $CI_REGISTRY_IMAGE:$CI_COMMIT_SHA
    - docker push $CI_REGISTRY_IMAGE:$TAG
